'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIApplicationLogo = function (_React$Component) {
    _inherits(AUIApplicationLogo, _React$Component);

    function AUIApplicationLogo(props) {
        _classCallCheck(this, AUIApplicationLogo);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIApplicationLogo).call(this, props));
    }

    _createClass(AUIApplicationLogo, [{
        key: 'render',
        value: function render() {
            var logoClass = void 0;
            if (this.props.logo) {
                logoClass = 'aui-header-logo-' + this.props.logo;
            }
            var classes = (0, _classnames2.default)('aui-header-logo', { 'aui-header-logo-textonly': this.props.text }, logoClass);
            return _react2.default.createElement(
                'h1',
                { className: classes, id: 'logo' },
                _react2.default.createElement(
                    'a',
                    { href: this.props.headerLink },
                    _react2.default.createElement(
                        'span',
                        { className: 'aui-header-logo-device' },
                        this.props.children || this.props.text
                    )
                )
            );
        }
    }]);

    return AUIApplicationLogo;
}(_react2.default.Component);

AUIApplicationLogo.defaultProps = {
    headerLink: '/'
};

AUIApplicationLogo.displayName = 'AUIApplicationLogo';
AUIApplicationLogo.propTypes = {
    children: _react2.default.PropTypes.element,
    headerLink: _react2.default.PropTypes.string,
    logo: _react2.default.PropTypes.oneOf(['aui', 'bamboo', 'bitbucket', 'confluence', 'crowd', 'fecru', 'hipchat', 'jira', 'stash']).isRequired,
    text: _react2.default.PropTypes.string
};

exports.default = AUIApplicationLogo;