'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIAvatar = function (_Component) {
    _inherits(AUIAvatar, _Component);

    function AUIAvatar() {
        _classCallCheck(this, AUIAvatar);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIAvatar).apply(this, arguments));
    }

    _createClass(AUIAvatar, [{
        key: 'render',
        value: function render() {
            var classes = (0, _classnames2.default)('aui-avatar', {
                'aui-avatar-project': this.props.isProject === true
            }, 'aui-avatar-' + this.props.size);
            return _react2.default.createElement(
                'span',
                { className: classes },
                _react2.default.createElement(
                    'span',
                    { className: 'aui-avatar-inner' },
                    _react2.default.createElement('img', { src: this.props.src })
                )
            );
        }
    }]);

    return AUIAvatar;
}(_react.Component);

exports.default = AUIAvatar;


AUIAvatar.displayName = 'AUIAvatar';
AUIAvatar.propTypes = {
    src: _react.PropTypes.string,
    size: _react.PropTypes.oneOf(['xsmall', 'small', 'medium', 'large', 'xlarge', 'xxlarge', 'xxxlarge']),
    isProject: _react.PropTypes.bool
};