'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIFontIcon = function (_React$Component) {
    _inherits(AUIFontIcon, _React$Component);

    function AUIFontIcon() {
        _classCallCheck(this, AUIFontIcon);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIFontIcon).apply(this, arguments));
    }

    _createClass(AUIFontIcon, [{
        key: 'render',
        value: function render() {
            var classes = (0, _classnames2.default)('aui-icon', {
                'aui-icon-small': this.props.size === 'small'
            }, 'aui-iconfont-' + this.props.type);

            return _react2.default.createElement('span', _extends({ className: classes }, this.props, { title: this.props.title }));
        }
    }]);

    return AUIFontIcon;
}(_react2.default.Component);

AUIFontIcon.displayName = 'AUIFontIcon';
AUIFontIcon.propTypes = {
    size: _react2.default.PropTypes.oneOf(['small']),
    type: _react2.default.PropTypes.string,
    title: _react2.default.PropTypes.string
};

exports.default = AUIFontIcon;