'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _AUINavItem = require('./AUINavItem');

var _AUINavItem2 = _interopRequireDefault(_AUINavItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUINav = function (_React$Component) {
    _inherits(AUINav, _React$Component);

    function AUINav() {
        _classCallCheck(this, AUINav);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUINav).apply(this, arguments));
    }

    _createClass(AUINav, [{
        key: 'render',
        value: function render() {
            var dataDrivenOptions = void 0;

            if (this.props.options) {
                dataDrivenOptions = this.props.options.map(function (option) {
                    return _react2.default.createElement(
                        'li',
                        { key: option.props.to },
                        option
                    );
                });
            }

            return _react2.default.createElement(
                'ul',
                { className: 'aui-nav' },
                dataDrivenOptions,
                this.props.children
            );
        }
    }]);

    return AUINav;
}(_react2.default.Component);

exports.default = AUINav;


AUINav.propTypes = {
    onChange: _react2.default.PropTypes.func,
    options: _react2.default.PropTypes.array,
    selected: _react2.default.PropTypes.string,
    children: _react2.default.PropTypes.node
};

AUINav.displayName = 'AUINav';