"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIPageHeader = function (_React$Component) {
    _inherits(AUIPageHeader, _React$Component);

    function AUIPageHeader() {
        _classCallCheck(this, AUIPageHeader);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIPageHeader).apply(this, arguments));
    }

    _createClass(AUIPageHeader, [{
        key: "render",
        value: function render() {
            return _react2.default.createElement(
                "header",
                { className: "aui-page-header" },
                _react2.default.createElement(
                    "div",
                    { className: "aui-page-header-inner" },
                    this.props.headerImage,
                    _react2.default.createElement(
                        "div",
                        { className: "aui-page-header-main" },
                        _react2.default.createElement(
                            "h1",
                            null,
                            this.props.headerText
                        ),
                        this.props.breadcrumb
                    )
                )
            );
        }
    }]);

    return AUIPageHeader;
}(_react2.default.Component);

AUIPageHeader.displayName = 'AUIPageHeader';
AUIPageHeader.propTypes = {
    headerText: _react.PropTypes.string,
    headerImage: _react.PropTypes.element,
    breadcrumb: _react2.default.PropTypes.element
};

exports.default = AUIPageHeader;