import React from 'react';
import classnames from 'classnames';

class AUIFontIcon extends React.Component {
    render() {
        const classes = classnames('aui-icon', {
            'aui-icon-small' : this.props.size === 'small'
        }, 'aui-iconfont-' + this.props.type);

        return(<span className={classes} {...this.props} title={this.props.title}></span>);
    }
}

AUIFontIcon.displayName = 'AUIFontIcon';
AUIFontIcon.propTypes = {
    size: React.PropTypes.oneOf(['small']),
    type: React.PropTypes.string,
    title: React.PropTypes.string
};

export default AUIFontIcon;