import React, { Component, PropTypes } from 'react';

class AUIPageHeader extends React.Component {
    render() {
        return (
            <header className="aui-page-header">
                <div className="aui-page-header-inner">
                    {this.props.headerImage}
                    <div className="aui-page-header-main">
                        <h1>{this.props.headerText}</h1>
                        {this.props.breadcrumb}
                    </div>
                </div>
            </header>
        );
    }
}

AUIPageHeader.displayName = 'AUIPageHeader';
AUIPageHeader.propTypes = {
    headerText: PropTypes.string,
    headerImage: PropTypes.element,
    breadcrumb: React.PropTypes.element
};

export default AUIPageHeader;
