import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';
import { expect } from 'chai';
import AUIBreadcrumb from '../src/AUIBreadcrumb';

describe('AUIBreadcrumb', () => {
    it('should render the correct AUI markup', () => {
        expect(renderToStaticMarkup(<AUIBreadcrumb />)).to.equal('<li><a href="#"><span class="aui-nav-item-label"></span></a></li>');
    });
});
