import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';

import { expect } from 'chai';
import AUIPageHeader from '../src/AUIPageHeader';

describe('AUIPageHeader', () => {
    it('should render to correct AUI markup', () => {
        expect(renderToStaticMarkup(<AUIPageHeader headerText="Hello world" />)).to.equal(`<header class="aui-page-header"><div class="aui-page-header-inner"><div class="aui-page-header-main"><h1>Hello world</h1></div></div></header>`);
    });
});
