import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';

import { expect } from 'chai';
import AUITable from '../src/AUITable';

describe('AUITable', () => {
    it('should render the correct AUI markup', () => {
        expect(
            renderToStaticMarkup(<AUITable>
                <tbody>
                    <tr><td>test</td></tr>
                </tbody>
            </AUITable>)
        ).to.equal('<table class="aui"><tbody><tr><td>test</td></tr></tbody></table>');
    });
});
