"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUINavGroupHorizontal = function (_Component) {
    _inherits(AUINavGroupHorizontal, _Component);

    function AUINavGroupHorizontal() {
        _classCallCheck(this, AUINavGroupHorizontal);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUINavGroupHorizontal).apply(this, arguments));
    }

    _createClass(AUINavGroupHorizontal, [{
        key: "render",
        value: function render() {
            return _react2.default.createElement(
                "nav",
                { className: "aui-navgroup aui-navgroup-horizontal" },
                _react2.default.createElement(
                    "div",
                    { className: "aui-navgroup-inner" },
                    _react2.default.createElement(
                        "div",
                        { className: "aui-navgroup-primary" },
                        this.props.primary
                    ),
                    _react2.default.createElement(
                        "div",
                        { className: "aui-navgroup-secondary" },
                        this.props.secondary
                    )
                )
            );
        }
    }]);

    return AUINavGroupHorizontal;
}(_react.Component);

exports.default = AUINavGroupHorizontal;


AUINavGroupHorizontal.displayName = 'AUINavGroupHorizontal';
AUINavGroupHorizontal.propTypes = {
    primary: _react.PropTypes.element,
    secondary: _react.PropTypes.element
};