'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AUIPagePanel = require('./AUIPagePanel');

var _AUIPagePanel2 = _interopRequireDefault(_AUIPagePanel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIPageContent = function (_Component) {
    _inherits(AUIPageContent, _Component);

    function AUIPageContent() {
        _classCallCheck(this, AUIPageContent);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIPageContent).apply(this, arguments));
    }

    _createClass(AUIPageContent, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'section',
                { id: 'content', role: 'main', className: this.props.className },
                this.props.pageHeader,
                this.props.sidebar,
                _react2.default.createElement(
                    _AUIPagePanel2.default,
                    { nav: this.props.nav, aside: this.props.aside, style: this.props.style },
                    this.props.children
                )
            );
        }
    }]);

    return AUIPageContent;
}(_react.Component);

AUIPageContent.displayName = 'AUIPageContent';
AUIPageContent.propTypes = {
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.arrayOf(_react.PropTypes.element)]),
    nav: _react.PropTypes.element,
    aside: _react.PropTypes.element,
    sidebar: _react.PropTypes.element,
    pageHeader: _react.PropTypes.element,
    style: _react.PropTypes.object,
    className: _react.PropTypes.string
};

exports.default = AUIPageContent;