"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIPagePanel = function (_Component) {
    _inherits(AUIPagePanel, _Component);

    function AUIPagePanel() {
        _classCallCheck(this, AUIPagePanel);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(AUIPagePanel).apply(this, arguments));
    }

    _createClass(AUIPagePanel, [{
        key: "render",
        value: function render() {
            var nav = void 0;
            if (this.props.nav) {
                nav = _react2.default.createElement(
                    "div",
                    { className: "aui-page-panel-nav" },
                    this.props.nav
                );
            }

            var aside = void 0;
            if (this.props.aside) {
                aside = _react2.default.createElement(
                    "div",
                    { className: "aui-page-panel-sidebar content-sidebar" },
                    this.props.aside
                );
            }

            return _react2.default.createElement(
                "div",
                { className: "aui-page-panel", style: this.props.style },
                _react2.default.createElement(
                    "div",
                    { className: "aui-page-panel-inner" },
                    nav,
                    _react2.default.createElement(
                        "section",
                        { className: "aui-page-panel-content content-body" },
                        this.props.children
                    ),
                    aside
                )
            );
        }
    }]);

    return AUIPagePanel;
}(_react.Component);

AUIPagePanel.displayName = 'AUIPagePanel';
AUIPagePanel.propTypes = {
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.arrayOf(_react.PropTypes.element)]),
    nav: _react.PropTypes.element,
    aside: _react.PropTypes.element,
    style: _react.PropTypes.object
};

exports.default = AUIPagePanel;