import React, { Component, PropTypes } from 'react';

export default class AUIBreadcrumbs extends Component {
    render() {
        return (
            <ol className="aui-nav aui-nav-breadcrumbs">
                {this.props.children}
            </ol>
        );
    }
}

AUIBreadcrumbs.displayName = 'AUIBreadcrumbs';
AUIBreadcrumbs.propTypes = {
    children: PropTypes.oneOfType([
        PropTypes.element,
        PropTypes.string
    ])
};
