import React, { Component, PropTypes } from 'react';

export default class AUINavGroup extends Component {
    render() {
        return (
            <nav className="aui-navgroup aui-navgroup-vertical">
                <div className="aui-navgroup-inner">
                    {this.props.children}
                </div>
            </nav>
        );
    }
}

AUINavGroup.displayName = 'AUINavGroup';
AUINavGroup.propTypes = {
    children: PropTypes.node
};
