import React, { Component, PropTypes } from 'react';

export default class AUINavGroupHorizontal extends Component {
    render() {
        return (
            <nav className="aui-navgroup aui-navgroup-horizontal">
                <div className="aui-navgroup-inner">
                    <div className="aui-navgroup-primary">
                        {this.props.primary}
                    </div>
                    <div className="aui-navgroup-secondary">
                        {this.props.secondary}
                    </div>
                </div>
            </nav>
        );
    }
}

AUINavGroupHorizontal.displayName = 'AUINavGroupHorizontal';
AUINavGroupHorizontal.propTypes = {
    primary: PropTypes.element,
    secondary: PropTypes.element
};
