import React, { Component, PropTypes } from 'react';

export default class AUIPageHeaderImage extends Component {
    render() {
        return (
            <div className="aui-page-header-image">
                <span className="aui-avatar aui-avatar-large aui-avatar-project">
                    <span className="aui-avatar-inner">{this.props.children}</span>
                </span>
            </div>
        );
    }
}

AUIPageHeaderImage.displayName = 'AUIPageHeaderImage';
AUIPageHeaderImage.propTypes = {
    children: PropTypes.element
};
