import React, { Component, PropTypes } from 'react';

export default class AUITable extends Component {
    render() {
        return (
            <table className="aui">
                {this.props.children}
            </table>
        );
    }
}

AUITable.displayName = 'AUITable';
AUITable.propTypes = {
    children: PropTypes.oneOfType([
        PropTypes.element,
        PropTypes.arrayOf(PropTypes.element)
    ])
};
