import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';
import { expect } from 'chai';
import AUIBreadcrumbs from '../src/AUIBreadcrumbs';

describe('AUIBreadcrumbs', () => {
    it('should render the correct AUI markup', () => {
        expect(renderToStaticMarkup(<AUIBreadcrumbs />)).to.equal('<ol class="aui-nav aui-nav-breadcrumbs"></ol>');
    });
});
