import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';

import { expect } from 'chai';
import AUIDropdownMenu from '../src/AUIDropdownMenu';

describe('AUIDropdownMenu', () => {
    it('should render the correct AUI web component', () => {
        expect(renderToStaticMarkup(<AUIDropdownMenu />)).to.equal(`<div class="aui-dropdown2 aui-style-default"></div>`);
    });

    it('should render child inside the AUI web component', () => {
        expect(renderToStaticMarkup(<AUIDropdownMenu>test</AUIDropdownMenu>)).to.equal(`<div class="aui-dropdown2 aui-style-default">test</div>`);
    });
});
