import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';

import { expect } from 'chai';
import AUILabel from '../src/AUILabel';

describe('AUILabel', () => {
    it('should render the correct AUI markup', () => {
        expect(renderToStaticMarkup(<AUILabel>My Label</AUILabel>)).to.equal(`<a class="aui-label">My Label</a>`);
    });
});
