import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';
import { expect } from 'chai';
import AUINavGroup from '../src/AUINavGroup';

describe('AUINavGroup', () => {
    it('should render the correct AUI markup', () => {
        expect(renderToStaticMarkup(<AUINavGroup />)).to.equal(`<nav class="aui-navgroup aui-navgroup-vertical"><div class="aui-navgroup-inner"></div></nav>`);
    });
});
