import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';

import { expect } from 'chai';
import AUINavHeading from '../src/AUINavHeading';

describe('AUINavHeading', () => {
    it('should render the correct AUI markup', () => {
        expect(renderToStaticMarkup(<AUINavHeading>My Heading</AUINavHeading>)).to.equal(`<div class="aui-nav-heading"><strong>My Heading</strong></div>`);
    });
});
